.\"	$NetBSD: curses_underscore.3,v 1.4 2003/04/16 13:35:02 wiz Exp $
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julian Coleman.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 13, 2002
.Dt CURSES_UNDERSCORE 3
.Os
.Sh NAME
.Nm curses_underscore ,
.Nm underscore ,
.Nm underend ,
.Nm wunderscore ,
.Nm wunderend
.Nd curses underscore attribute manipulation routines
.Sh LIBRARY
.Lb libcurses
.Sh SYNOPSIS
.In curses.h
.Ft int
.Fn underscore void
.Ft int
.Fn underend void
.Ft int
.Fn wunderscore void
.Ft int
.Fn wunderend void
.Sh DESCRIPTION
These functions manipulate the underscore attribute on
.Dv stdscr
or on the specified window.
.Pp
The
.Fn underscore
function turns on the underscore attribute
on
.Dv stdscr .
The
.Fn underend
function turns off the underscore attribute on
.Dv stdscr .
.Pp
The
.Fn wunderscore
and
.Fn wunderend
functions
are equivalent to
.Fn underscore
and
.Fn underend ,
respectively, excepting that the attribute is manipulated on the
window specified by
.Fa win .
.Pp
The
.Fn underscore
and
.Fn underend
functions
are equivalent to
.Fn wattron A_UNDERLINE
and
.Fn wattroff A_UNDERLINE ,
respectively.
.Sh RETURN VALUES
These functions always return 1.
.Sh SEE ALSO
.Xr curses_attributes 3 ,
.Xr curses_standout 3
.Sh STANDARDS
The
.Nx
Curses library complies with the X/Open Curses specification, part of the
Single Unix Specification.
.Sh HISTORY
These functions first appeared in
.Nx 1.5 .
